{ config, pkgs, lib, ... }:

{
  nixpkgs.overlays = lib.singleton
  (self: super:
    { maxwell-notify = self.callPackage ./custom/packages/maxwell-notify.nix
        { homeserver = "https://${config.var.hostname}/_matrix/client/r0";
          roomId     = "!mKSxsQWEtUvOBTfjDU:eurofusion.eu";
          authToken  = config.secrets.passwords.matrix;
        };

      haskellPackages = super.haskellPackages.extend (hself: hsuper:
        { breve =  super.haskell.lib.overrideCabal hsuper.breve
            (old: { broken = false; });
        });
    });

  environment.systemPackages = with pkgs; [
    # utilities
    iftop curl tree neovim
    nix-script openssl
    jq ack sshfs abduco

    # backup
    bup git

    # admin
    dnsutils
    matrix-synapse
    synadm
    maxwell-notify
    smartmontools

    # namecoin
    namecoind haskellPackages.rosa
  ];

}
